=== debian/control ===
Source: flightcrew
Section: text
Priority: extra
Maintainer: Mattia Rizzolo <mattia@debian.org>
Uploaders:
 Don Armstrong <don@debian.org>,
Build-Depends:
 cmake,
 debhelper (>= 10),
 google-mock,
 libboost-all-dev,
 libgtest-dev,
 libqt4-dev,
 libxerces-c-dev,
 pkg-kde-tools,
 zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://code.google.com/p/flightcrew
Vcs-Git: https://anonscm.debian.org/git/collab-maint/flightcrew.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/flightcrew.git

Package: flightcrew
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 epub-utils,
 sigil,
Description: C++ epub validator
 FlightCrew is an epub validator written in C++. It is used by sigil
 to validate epub files, and may be generally useful for other epub
 creation utilities.

Package: libflightcrew0v5
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libflightcrew0,
Replaces:
 libflightcrew0,
Description: C++ library for epub validation
 FlightCrew is an epub validator written in C++. It is used by sigil
 to validate epub files, and may be generally useful for other epub
 creation utilities.
 .
 This package contains the shared library.

Package: libflightcrew-dev
Section: libdevel
Architecture: all
Depends:
 libflightcrew0v5 (<< ${source:Version}.1~),
 libflightcrew0v5 (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: C++ library development filesfor epub validation
 FlightCrew is an epub validator written in C++. It is used by sigil
 to validate epub files, and may be generally useful for other epub
 creation utilities.
 .
 This package contains the development headers.
