=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DDEBIAN=1 -DBUILD_SHARED_FC=1

override_dh_install:
	dh_install --fail-missing
