=== src/FlightCrew-gui/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,13 @@
 
 cmake_minimum_required( VERSION 2.8 ) 
 
+if(POLICY CMP0020)
+    cmake_policy(SET CMP0020 OLD)
+endif()
+if(POLICY CMP0043)
+    cmake_policy(SET CMP0043 OLD)
+endif()
+
 # We use the lower case name
 # on UNIX systems other than Mac OS X
 if ( WIN32 OR APPLE )
@@ -19,9 +26,19 @@
 
 #############################################################################
 
-find_package( Qt4 4.6.0 COMPONENTS QtCore QtGui QtMain QtNetwork REQUIRED )
-
-include( ${QT_USE_FILE} )
+find_package(Qt5 5.4 COMPONENTS Core Widgets Gui Network)
+
+set(CMAKE_AUTOMOC ON)
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
+
+get_target_property(QMAKE_EXECUTABLE Qt5::qmake LOCATION)
+function(QUERY_QMAKE VAR RESULT)
+    exec_program(${QMAKE_EXECUTABLE} ARGS "-query ${VAR}" RETURN_VALUE return_code OUTPUT_VARIABLE output )
+    if(NOT return_code)
+        file(TO_CMAKE_PATH "${output}" output)
+        set(${RESULT} ${output} PARENT_SCOPE)
+    endif(NOT return_code)
+endfunction(QUERY_QMAKE)
 
 #############################################################################
 
@@ -36,11 +53,8 @@
     Form.ui 
     )
     
-# Runs MOC on specifed files
-qt4_wrap_cpp( MOC_FILES_CPP ${QOBJECT_HEADERS} )
-
 # Runs UIC on specified files
-qt4_wrap_ui( UI_FILES_H ${UI_FILES} )
+qt5_wrap_ui( UI_FILES_H ${UI_FILES} )
 
 set( ALL_SOURCES ${RAW_SOURCES} ${MOC_FILES_CPP} ${UI_FILES_H} )
 
@@ -65,7 +79,8 @@
 
 # We need to pick up the stdafx.h file
 # and the headers for the linked-to libraries
-include_directories( ${CMAKE_CURRENT_SOURCE_DIR}
+include_directories( BEFORE
+                     ${CMAKE_CURRENT_SOURCE_DIR}
                      ${CMAKE_CURRENT_BINARY_DIR}
                      ${BoostParts_SOURCE_DIR}
                      ${FlightCrew_SOURCE_DIR}
@@ -83,7 +98,16 @@
     add_executable( ${PROJECT_NAME} WIN32 ${ALL_SOURCES} )
 endif()
 
-target_link_libraries( ${PROJECT_NAME} FlightCrew ${QT_LIBRARIES} )
+
+if (MSVC)
+    set(QT_MAIN Qt5::WinMain)
+endif()
+
+# target_link_libraries( ${PROJECT_NAME} FlightCrew ${QT_LIBRARIES} )
+
+target_link_libraries( ${PROJECT_NAME} ${QT_MAIN} ${FLIGHTCREW_LIBRARIES} )
+qt5_use_modules(${PROJECT_NAME} Widgets Core Gui Network)
+
 
 #############################################################################
 
@@ -103,7 +127,7 @@
     set_source_files_properties( MainWindow.cpp PROPERTIES COMPILE_DEFINITIONS /W4 )
     set_source_files_properties( main.cpp       PROPERTIES COMPILE_DEFINITIONS /W4 )
     
-    set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Zc:wchar_t-" )
+    set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Zc:wchar_t- /MP" )
     set( CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /Oi /GL" ) 
     set( CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /LTCG" )
 
@@ -126,12 +150,12 @@
     endif()
 
     add_custom_target(  addframeworks ALL 
-                        COMMAND ${QT_BINARY_DIR}/macdeployqt FlightCrew-gui.app
+                        COMMAND macdeployqt FlightCrew-gui.app
                         WORKING_DIRECTORY ${WORK_DIR}
                         DEPENDS ${PROJECT_NAME} )
 
     add_custom_target(  makedmg 
-                        COMMAND ${QT_BINARY_DIR}/macdeployqt FlightCrew-gui.app -dmg -no-plugins
+                        COMMAND macdeployqt FlightCrew-gui.app -dmg -no-plugins
                         WORKING_DIRECTORY ${WORK_DIR}
                         DEPENDS addframeworks )
                 
@@ -267,16 +291,3 @@
     else()
         set( EXE_PATH     ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${PROJECT_NAME}${CMAKE_EXECUTABLE_SUFFIX} )
         set( CLI_EXE_PATH ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${FC_CLI_NAME}${CMAKE_EXECUTABLE_SUFFIX} )   
-    endif()
-
-    # Copy the application executable
-    add_custom_command( TARGET ${TARGET_FOR_COPY} PRE_BUILD 
-                        COMMAND cmake -E copy ${EXE_PATH} ${MAIN_PACKAGE_DIR} )
-                        
-    # Copy the CLI application executable
-    add_custom_command( TARGET ${TARGET_FOR_COPY} PRE_BUILD 
-                        COMMAND cmake -E copy ${CLI_EXE_PATH} ${MAIN_PACKAGE_DIR} )
-                        
-    # We need to copy the CRT dlls
-    if ( WIN32 )
-        # Add -DWIN_INSTALLER_USE_64BIT_CRT=1 to the cmake call if you want to build
