=== debian/changelog ===
flightcrew (0.9.3+dfsg-1build7) jammy; urgency=medium

  * No-change rebuild against libboost-regex1.74.0-icu70.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2022 15:59:22 +0100

flightcrew (0.9.3+dfsg-1build6) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:06:06 +0100

flightcrew (0.9.3+dfsg-1build5) groovy; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu67

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Jul 2020 19:18:46 +0000

flightcrew (0.9.3+dfsg-1build4) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2020 08:51:24 +0100

flightcrew (0.9.3+dfsg-1build3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:20:48 +0100

flightcrew (0.9.3+dfsg-1build2) focal; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 19:00:34 +0000

flightcrew (0.9.3+dfsg-1build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:23:46 +0000

flightcrew (0.9.3+dfsg-1) unstable; urgency=medium

  * Import new upstream release (0.9.3).
    + Build using Qt5.  Closes: #874875; LP: #1757637
  * Update wath file with new upstream website.
  * Update patches with new code and remove obsolete patches.
  * Add patch for missing iostream header.
  * Add upstream metadata.
  * Ignore the new flightcrew plugin for Sigil for now.

 -- Francois Mazen <francois@mzf.fr>  Wed, 24 Jul 2019 19:29:48 +0200

flightcrew (0.7.2+dfsg-14) unstable; urgency=high

  * New maintainer (Closes: #861997)
  * Fix CVE-2019-13032 (Closes: #931246)
  * Fix CVE-2019-13241
  * Add autopkg tests
  * Add Salsa continuous integration
  * Bump Standards-Version to 4.4.0

 -- Francois Mazen <francois@mzf.fr>  Sat, 06 Jul 2019 19:30:01 +0200

flightcrew (0.7.2+dfsg-13) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one.

  [ Mattia Rizzolo ]
  * Bump debhelper compat level to 12.
  * Bump Standards-Version to 4.3.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 08 Jan 2019 13:16:29 +0100

flightcrew (0.7.2+dfsg-12) unstable; urgency=medium

  [ Steven Robbins ]
  * Update patch to remove the requirement on libgtest-dev and libgmock-dev.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 05 May 2018 10:31:56 +0200

flightcrew (0.7.2+dfsg-11) unstable; urgency=medium

  * Fix build with googletest >= 1.8.0-9 that moved header files around.
    Closes: #897152
  * d/control:
    + Build-Depend only on a subset of boost, instead of all of it.
    + Bump Standards-Version to 4.1.4, no changes needed.
    + Set Rules-Requires-Root:no.
    + Remove Don from Uploaders as he hasn't contributed in a while.
      Thank you for all your past work!

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 29 Apr 2018 15:51:54 +0200

flightcrew (0.7.2+dfsg-10) unstable; urgency=medium

  * d/control:
    + Move the packaging to salsa.d.o.
    + Move libflightcrew0v5 to Section:libs where it belongs.
  * Bump Standards-Version to 4.1.3:
    + Bump priority from extra (deprecated) to optional.
    + Use HTTPS in d/copyright's Format field.
  * d/copyright: bump copyright years for debian/*.
  * Bump debhelper compat level to 11.
  * d/rules: replace dh_install --fail-missing by dh_missing.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 24 Feb 2018 18:09:34 +0100
